# Windows录屏脚本

Windows 中使用 PowerShell 进行录屏的脚本，只在用户活动的时（鼠标点击或移动或敲打键盘）才进行录制

## 准备

- 安装 `ffmpeg` 用来将截屏的png转换为视频. 如果不需要视频只要图片可以不装

## 用法
1. 用powsershell执行 `screenshot.ps1` 开始截屏生成png文件.
2. 停止powershell，执行 `make.cmd` 开始导出视频.
3. `generate-input-list.py` 可选的python脚本用来重新生成`duration.txt`当你删除了部分png文件时.

## 说明
- `duration.txt` 是给`ffmpeg`合成视频时用的时间轴文件，里面指明了每个png图片的播放时长。如果删除了部分png图片，需要使用`generate-input-list.py`来重新生成它